Hi Sebastiaan,

Am Mo, 19.02.2018, 07:40 schrieb Sebastiaan Couwenberg:
> lwgeom support was disabled to untangle the circular dependency as
> documented in the spatialite changelog:
>  - Drop build dependency on liblwgeom-dev to untangle
>    spatialite->postgis->gdal->spatialite circular dependency.

Please excuse my amateurism, but could you explain this in more detail?
I do have a certain understanding of the matter, but I've never had
anything to do with such circular dependencies.

> rttopo support will be available in the next spatialite release, but
> it's taking forever to get past 4.4.0-rc1.

Yes, I have already noticed this: the project has been stagnating
since 2015, but in the last few weeks there have been some bugfixes.

> As long as there is no rttopo support in the released spatialite, the
> Debian package will not enable the support.

I made a backport out of 4.4 RC0 from the experimental branch.
Here it works so far (in a chroot of course).

> You're very much on your own if you choose to re-instate the circular
> dependency. As they say: when it breaks you get to keep the pieces.

Okay, then I keep running my own backport in the chroot. I was just
surprised that so far there has been no major outcry, that it does
not work.

btw: The background was, by the way, that I wanted to run my scripts
coded under the use of OSGeo4W in Debian. I was constantly informed
about missing ST functions :)


gdal-dev mailing list

Reply via email to